"""
Layouts of keyboards, which layout key names to their position on the openrazer fx matrix
"""
layouts = {
    'en_US': {
        'escape':        (0, 1),
        'f1':            (0, 3),
        'f2':            (0, 4),
        'f3':            (0, 5),
        'f4':            (0, 6),
        'f5':            (0, 7),
        'f6':            (0, 8),
        'f7':            (0, 9),
        'f8':            (0, 10),
        'f9':            (0, 11),
        'f10':           (0, 12),
        'f11':           (0, 13),
        'f12':           (0, 14),
        'print':         (0, 15),
        'scroll_lock':   (0, 16),
        'pause':         (0, 17),
        'tilda':         (1, 1),
        '1':             (1, 2),
        '2':             (1, 3),
        '3':             (1, 4),
        '4':             (1, 5),
        '5':             (1, 6),
        '6':             (1, 7),
        '7':             (1, 8),
        '8':             (1, 9),
        '9':             (1, 10),
        '0':             (1, 11),
        'minus':         (1, 12),
        'equals':        (1, 13),
        'backspace':     (1, 14),
        'insert':        (1, 15),
        'home':          (1, 16),
        'page_up':       (1, 17),
        'num_lock':      (1, 18),
        'p_divide':      (1, 19),
        'p_multiply':    (1, 20),
        'p_subtract':    (1, 21),
        'tab':           (2, 1),
        'q':             (2, 2),
        'w':             (2, 3),
        'e':             (2, 4),
        'r':             (2, 5),
        't':             (2, 6),
        'y':             (2, 7),
        'u':             (2, 8),
        'i':             (2, 9),
        'o':             (2, 10),
        'p':             (2, 11),
        'left_bracket':  (2, 12),
        'right_bracket': (2, 13),
        'back_slash':    (2, 14),
        'delete':        (2, 15),
        'end':           (2, 16),
        'next':          (2, 17),
        'p_home':        (2, 18),
        'p_up':          (2, 19),
        'p_page_up':     (2, 20),
        'p_add':         (2, 21),
        'caps_lock':     (3, 1),
        'a':             (3, 2),
        's':             (3, 3),
        'd':             (3, 4),
        'f':             (3, 5),
        'g':             (3, 6),
        'h':             (3, 7),
        'j':             (3, 8),
        'k':             (3, 9),
        'l':             (3, 10),
        'semicolon':     (3, 11),
        'apostrophe':    (3, 12),
        'return':        (3, 14),
        'p_left':        (3, 18),
        'p_begin':       (3, 19),
        'p_right':       (3, 20),
        'shift_l':       (4, 1),
        'z':             (4, 3),
        'x':             (4, 4),
        'c':             (4, 5),
        'v':             (4, 6),
        'b':             (4, 7),
        'n':             (4, 8),
        'm':             (4, 9),
        'comma':         (4, 10),
        'period':        (4, 11),
        'forward_slash': (4, 12),
        'shift_r':       (4, 14),
        'up':            (4, 16),
        'p_end':         (4, 18),
        'p_down':        (4, 19),
        'p_next':        (4, 20),
        'p_enter':       (4, 21),
        'control_l':     (5, 1),
        'super_l':       (5, 2),
        'alt_l':         (5, 3),
        'space':         (5, 7),
        'right_alt':     (5, 11),
        'fn':            (5, 12),
        'menu':          (5, 13),
        'control_r':     (5, 14),
        'left':          (5, 15),
        'down':          (5, 16),
        'right':         (5, 17),
        'p_insert':      (5, 19),
        'p_delete':      (5, 20)
    },

    'de_DE': {
        'escape':      (0, 1),
        'f1':          (0, 3),
        'f2':          (0, 4),
        'f3':          (0, 5),
        'f4':          (0, 6),
        'f5':          (0, 7),
        'f6':          (0, 8),
        'f7':          (0, 9),
        'f8':          (0, 10),
        'f9':          (0, 11),
        'f10':         (0, 12),
        'f11':         (0, 13),
        'f12':         (0, 14),
        'print':       (0, 15),
        'scroll_lock': (0, 16),
        'pause':       (0, 17),
        '[65106]':     (1, 1),
        '1':           (1, 2),
        '2':           (1, 3),
        '3':           (1, 4),
        '4':           (1, 5),
        '5':           (1, 6),
        '6':           (1, 7),
        '7':           (1, 8),
        '8':           (1, 9),
        '9':           (1, 10),
        '0':           (1, 11),
        'ssharp':      (1, 12),
        '[65105]':     (1, 13),
        'backspace':   (1, 14),
        'insert':      (1, 15),
        'home':        (1, 16),
        'page_up':     (1, 17),
        'num_lock':    (1, 18),
        'p_divide':    (1, 19),
        'p_multiply':  (1, 20),
        'p_subtract':  (1, 21),
        'tab':         (2, 1),
        'q':           (2, 2),
        'w':           (2, 3),
        'e':           (2, 4),
        'r':           (2, 5),
        't':           (2, 6),
        'z':           (2, 7),
        'u':           (2, 8),
        'i':           (2, 9),
        'o':           (2, 10),
        'p':           (2, 11),
        'udiaeresis':  (2, 12),
        'plus':        (2, 13),
        'delete':      (2, 15),
        'end':         (2, 16),
        'next':        (2, 17),
        'p_home':      (2, 18),
        'p_up':        (2, 19),
        'p_page_up':   (2, 20),
        'p_add':       (2, 21),
        'caps_lock':   (3, 1),
        'a':           (3, 2),
        's':           (3, 3),
        'd':           (3, 4),
        'f':           (3, 5),
        'g':           (3, 6),
        'h':           (3, 7),
        'j':           (3, 8),
        'k':           (3, 9),
        'l':           (3, 10),
        'odiaeresis':  (3, 11),
        'adiaeresis':  (3, 12),
        'numbersign':  (3, 13),
        'return':      (3, 14),
        'p_left':      (3, 18),
        'p_begin':     (3, 19),
        'p_right':     (3, 20),
        'shift_l':     (4, 1),
        'less':        (4, 2),
        'y':           (4, 3),
        'x':           (4, 4),
        'c':           (4, 5),
        'v':           (4, 6),
        'b':           (4, 7),
        'n':           (4, 8),
        'm':           (4, 9),
        'comma':       (4, 10),
        'period':      (4, 11),
        'minus':       (4, 12),
        'shift_r':     (4, 14),
        'up':          (4, 16),
        'p_end':       (4, 18),
        'p_down':      (4, 19),
        'p_next':      (4, 20),
        'p_enter':     (4, 21),
        'control_l':   (5, 1),
        'super_l':     (5, 2),
        'alt_l':       (5, 3),
        'space':       (5, 6),
        '[65027]':     (5, 10),
        'logo':        (5, 11),
        'fn':          (5, 12),
        'menu':        (5, 13),
        'control_r':   (5, 14),
        'left':        (5, 15),
        'down':        (5, 16),
        'right':       (5, 17),
        'p_insert':    (5, 19),
        'p_delete':    (5, 20)
    }
}
